com.tibco.ftl.exceptions

## Class FTLInvalidArgumentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.tibco.ftl.FTLRuntimeException
        - - com.tibco.ftl.exceptions.FTLInvalidArgumentException

- All Implemented Interfaces:
    java.io.Serializable

      public class FTLInvalidArgumentException
      extends FTLRuntimeException

  Invalid argument (or invalid value embedded in an argument).

  Common Diagnoses:

  - A `null` argument (where `null` is not acceptable).
  - A nonsensical value.
  - A field or property value does not match the required data type.
  - A value is outside the range of legal values.
  - An object that is invalid (that is, it has already been destroyed or closed).
  - The realm object is closed.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FTLInvalidArgumentException()`
    `FTLInvalidArgumentException(java.lang.String message)`
    `FTLInvalidArgumentException(java.lang.String message, java.lang.Throwable cause)`
    `FTLInvalidArgumentException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class com.tibco.ftl.FTLRuntimeException

      `getErrorCode, setErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FTLInvalidArgumentException

          public FTLInvalidArgumentException()

    - #### FTLInvalidArgumentException

          public FTLInvalidArgumentException(java.lang.String message,
                                             java.lang.Throwable cause)

    - #### FTLInvalidArgumentException

          public FTLInvalidArgumentException(java.lang.String message)

    - #### FTLInvalidArgumentException

          public FTLInvalidArgumentException(java.lang.Throwable cause)